Bug 447007 - Backlight remains on after suspend on Thinkpad X31
Backlight remains on after suspend on Thinkpad X31
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 18:37 EDT by Jonathan Corbet
Modified: 2014-10-13 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Corbet 2008-05-16 18:37:24 EDT
Description of problem:

When I suspend my laptop, the backlight remains on.

Version-Release number of selected component (if applicable):

hal-info-20080317-6.fc9

How reproducible:

Every time

Steps to Reproduce:
1. Suspend system
2. Place laptop in backpack, having failed to notice that backlight is on
3. Remove molten ex-laptop at some future time.
  
Actual results:

Backlight stays on.  Battery drains.  Global warming worsens.

Expected results:

Backlight does not stay on.

Additional info:

I ran into this same problem with Ubuntu; the bug report there is:

https://bugs.launchpad.net/ubuntu/+source/hal-info/+bug/199059

It has the fix, too, so I recommend looking...:)
Comment 1 Richard Hughes 2008-05-30 07:53:48 EDT
Does this fix still need applying using F9? if so, please email the hal
development mailing list and we'll review your quirk there. Thanks.
Comment 2 Bug Zapper 2009-06-09 20:54:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:10:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Jonathan Corbet 2014-10-13 08:24:18 EDT
Adding a comment to this long-closed bug in the vague hope that the system will stop spamming me with "outstanding requests" email...

Note You need to log in before you can comment on or make changes to this bug.